# Power save mode set state

An action block that enables or disables power save mode.

The fiber will proceed immediately without pause.

It may not be possible to enable power save mode while the device is connected to a power source, use the Power source plugged block to check.

The requirement of Automate being set as default Assistant app can be avoided by choosing a Power save mode workaround in settings.

Note! This feature isn’t officially supported until Android 6, requires the privileged service on Android 5—5.1, may not work on all devices.

## Input arguments

- Power save mode — whether to enable or disable power save mode, default is disable.